# data.world Documentation > Documentation for data.world ## Guides - [data.world for developers](https://developer.data.world/docs/data-world-for-developers.md): Creating integrations and applications - [What to build](https://developer.data.world/docs/what-to-build.md) - [API keys and authentication](https://developer.data.world/docs/api-keys-and-auth.md) - [API overview](https://developer.data.world/docs/api-overview.md) - [Getting started with data.world API](https://developer.data.world/docs/api-getting-started.md): The following instructions help you set up your data.world account and interact with our API, including sending your first API request. Every call of the data.world API requires an API Token. After you create an account in data.world, we generate three supported token levels. - [API reference](https://developer.data.world/docs/api-reference.md) - [AI Context Engine Starter Kits](https://developer.data.world/docs/ai-context-engine-starter-kits.md) - [SDK overview](https://developer.data.world/docs/sdk-overview.md): data.world provides implementation of SDKs to facilitate seamless interaction with our platform. - [Python SDK](https://developer.data.world/docs/sdk-python.md): A python library for working with data.world datasets. - [Python API Client Methods](https://developer.data.world/docs/sdk-python-methods.md) - [R SDK](https://developer.data.world/docs/sdk-r.md): The data.world package is the main R package for working with datasets on data.world. - [Go SDK](https://developer.data.world/docs/sdk-go.md): Utilize data.world's REST API with Go - [JDBC SDK](https://developer.data.world/docs/sdk-jdbc.md): Explore Datasets with dw-jdbc - [Using Swagger to build your own SDK](https://developer.data.world/docs/sdk-swagger.md): Swagger is a set of open-source tools built around the OpenAPI Specification that can help you design, build, document and consume REST APIs. - [Application development overview](https://developer.data.world/docs/app-dev-overview.md) - [Deeplinks](https://developer.data.world/docs/deeplinks.md) - [OAuth](https://developer.data.world/docs/oauth.md): data.world supports the OAuth 2.0 protocol for authentication and authorization. - [Getting started](https://developer.data.world/docs/auto-dev-getting-started.md) - [Integrations overview](https://developer.data.world/docs/integrations-overview.md) ## API Reference - [Bulk: delete properties from resources](https://developer.data.world/reference/bulkdeleteproperty-1.md): Delete properties from a maximum of 25 resources of any type in the organization at once. To delete properties from a single resource, use "Delete properties from a resource". - [Bulk: update multiple resources at once](https://developer.data.world/reference/bulkupdate-1.md): Update a maximum of 25 resources of any type in the organization at once. To create one resource at a time, use "Create a new resource". Also, see the aforementioned endpoint for further update behaviors. - [Bulk: create multiple resources at once](https://developer.data.world/reference/bulkcreate-1.md): Create a maximum of 25 resources of any type in the organization at once. The resources are created with the provided properties. To create one resource at a time, use "Create a new resource". - [Delete properties from a resource](https://developer.data.world/reference/deleteproperty-1.md): Delete properties from a resource of any type in the organization. To update properties, use "Update a resource". To delete properties from multiple resources at once, use "Bulk: delete properties from resources". - [Search for resources](https://developer.data.world/reference/searchresources.md): Search for resources in the organization. See request body for filtering options. To paginate through results, use "from" and "size" query parameters. To return more details about the resources, see "hydration" query parameter. - [Delete a resource](https://developer.data.world/reference/delete-1.md): Delete a resource of any type in the organization. - [Get a resource](https://developer.data.world/reference/getresourcebyiri-1.md): Return details about a resource of any type in the organization. See "hydrations" query parameter for options to return even more details. - [Update a resource](https://developer.data.world/reference/update-1.md): Update a resource of any type in the organization. Properties that are not defined in the request are not updated. When updating properties that have a single value, the old value is replaced by the new value in the request. When updating properties that have a list of values, see "updateListBy" query parameter for more granular controls. To delete properties, use "Delete properties from a resource". To update multiple resources at once, use "Bulk: update multiple resources at once". - [Create a new resource](https://developer.data.world/reference/create-1.md): Create a new resource of any type in the organization. The resource is created with the provided properties. To create multiple resources at once, use "Bulk: create multiple resources at once". - [Clear all user edits from a resource](https://developer.data.world/reference/clearmetadataresource-1.md): This is an advanced operation and should be used with caution. The data.world catalog graph relies on a layered model that keeps the content from collected source systems separate from edits made by end users on the platform. This allows the collected source system data to update regularly withoutoverwriting enrichment and curation efforts that are authored on data.world. Sometimes, however, it is desirable to overwrite the end user edits or let the source system metadata replace user edits. This endpoint can be used to clear all end user edits for a given metadata resource or list of resources, restoring the source system values. - [Clear all user edits on specified properties from a resource](https://developer.data.world/reference/clearmetadataresourceproperties-1.md): This is an advanced operation and should be used with caution. The data.world catalog graph relies on a layered model that keeps the content from collected source systems separate from edits made by end users on the platform. This allows the collected source system data to update regularly without overwriting enrichment and curation efforts that are authored on data.world. Sometimes, however, it is desirable to overwrite the end user edits or let the source system metadata replace user edits. This endpoint can be used to clear a specific user-edited metadata field, restoring the source system values. - [Get resources that are related to a resource identified by IRI](https://developer.data.world/reference/getrelationshipsbyiri-1.md): If a resource A is related to resource B and C, this endpoint will return B and C. See request body for further filtering options. - [Creates a relationship between two catalog resources identified by IRI](https://developer.data.world/reference/createrelationshipbyiri-1.md): Creates a directed relationship between two catalog resources with one being the source and the other being the target. - [Deletes a relationship between two catalog resources identified by IRI](https://developer.data.world/reference/deleterelationshipbyiri-1.md): Deletes a directed relationship between two catalog resources with one being the source and the other being the target. - [Add Check Runs](https://developer.data.world/reference/addcheckruns.md): Add executions of a check against a metadata resource. Access requirement: Requires an admin token. It also requires admin access to the organization. This endpoint is in active development. Its definition and behavior may change frequently and without notice. - [Add Badges](https://developer.data.world/reference/addbadges.md): Associate a metadata resource with a Badge that describes its overall data quality status. Access requirement: Requires an admin token. It also requires admin access to the organization. This endpoint is in active development. Its definition and behavior may change frequently and without notice. - [Delete Checks](https://developer.data.world/reference/deletechecks.md): Delete data quality Checks and all associated Check Versions and Check Runs. This operation enqueues delete requests for background processing. The response indicates the number of requests that were successfully enqueued, not how many deletions have completed. Response fields: - success: Number of delete requests successfully enqueued - failed: Number of delete requests that failed to enqueue - requestId: Correlation ID for tracking Access requirement: Requires an admin token. It also requires admin access to the organization. This endpoint is in active development. Its definition and behavior may change frequently and without notice. - [Show data quality audits](https://developer.data.world/reference/getaudits.md): Shows audits that happened during processing of data quality inputs. One of "requestId" or "resourceIri" needs to be provided. Only errors are tracked. Audits expire 1 day after creation. Returns a maximum of 100 audits. If there are no audits, it is likely the request was executed successfully. Access requirement: Requires an admin token. It also requires admin access to the organization. This endpoint is in active development. Its definition and behavior may change frequently and without notice. - [Detailed answer](https://developer.data.world/reference/callanswer.md): Answer the given natural language question. Returns details used to arrive at the answer. Please note, it only has the capability to answer questions on structured data. The payload should contain the question, and optionally, any supplemental context that could be beneficial, such as additional information from a second query attempt after the user has provided further context. - [Answer Tool](https://developer.data.world/reference/callanswertool.md): Answer the given natural language question. Please note, it only has the capability to answer questions on structured data. The payload should contain the question, and optionally, any supplemental context that could be beneficial, such as additional information from a second query attempt after the user has provided further context. This operation performs the exact same function as the "callAnswer" operation, but is designed to be compatible with OpenAI-style tool calls. - [Tool apis metadata as JSON](https://developer.data.world/reference/openapitoolsasjson.md): Returns the OpenAPI 3.1 specification for the tool apis for a given organization and project. - [Tool apis metadata as YAML](https://developer.data.world/reference/openapitoolsasyaml.md): Returns the OpenAPI 3.1 specification for the tool apis for a given organization and project. - [List datasets for a specified owner](https://developer.data.world/reference/getdatasetsbyowner-1.md): List datasets that the currently authenticated user has access to, for the specified owner; when the dataset is open, private (but discoverable by the authenticated user) or the authenticated user is a contributor with discover visibility - [Create a dataset](https://developer.data.world/reference/createdataset-1.md): Create a new dataset. - [Delete a dataset](https://developer.data.world/reference/deletedataset-1.md): Delete a dataset and associated data. This operation cannot be undone, but you may recreate the dataset using the same id. - [Retrieve a dataset](https://developer.data.world/reference/getdataset-1.md): Retrieve a dataset. The definition of the dataset will be returned, not its data. Use `GET:/download/{owner}/{id}` or `GET:/file_download/{owner}/{id}/{file}` to retrieve the original files content, or `POST:/sql/{owner}/{id}` or `POST:/sparql/{owner}/{id}` to query the data. - [Update a dataset](https://developer.data.world/reference/patchdataset-1.md): Update an existing dataset. Only elements included in the request will be updated. All omitted elements will remain untouched. Requesting change in a list replaces the entire list. Requesting an element to be null deletes all values on the element. - [Create / Replace a dataset](https://developer.data.world/reference/replacedataset-1.md): Create or replace a dataset with a given id. If a dataset exists with the same id, this call will reset such dataset and all the data contained in it. - [Fetch latest file from source and update dataset — via GET, for convenience.](https://developer.data.world/reference/syncfileviaget-1.md) - [Fetch latest file from source and update dataset.](https://developer.data.world/reference/syncfile-1.md) - [Retrieve a dataset version](https://developer.data.world/reference/getdatasetbyversion-1.md): Retrieve a version of a dataset. The definition of the dataset will be returned, not its data. - [Download a dataset](https://developer.data.world/reference/downloaddataset-1.md): Download a .zip file containing all files within a dataset as originally uploaded. Prefer `POST:/sql` or `POST:/sparql` for retrieving clean and structured data. - [Delete dataset DOI](https://developer.data.world/reference/deletedoi-1.md): Delete a DOI ([Digital Object Identifier](https://www.doi.org/)) associated with a dataset. - [Create dataset DOI](https://developer.data.world/reference/adddoi-1.md): Associate a DOI ([Digital Object Identifier](https://www.doi.org/)) with a dataset. - [Delete dataset version DOI](https://developer.data.world/reference/deleteversiondoi-1.md): Delete a DOI ([Digital Object Identifier](https://www.doi.org/)) associated with a version of a dataset. - [Create dataset version DOI](https://developer.data.world/reference/addversiondoi-1.md): Associate a DOI ([Digital Object Identifier](https://www.doi.org/)) with a version of a dataset. - [Delete files](https://developer.data.world/reference/deletefilesandsyncsources-1.md): Delete one or more files from a dataset. **Batching** Note that the `name` parameter can be include multiple times in the query string, once for each file that is to be deleted together in a single request. - [Add files from URLs](https://developer.data.world/reference/addfilesbysource-1.md): Add files from URLs to a dataset. This method allows files published on the web to be added to a data.world dataset via their URL. This method can also be used to retrieve data via web APIs, with advanced options for http method, request payload and authentication. The source URL will be stored so you can easily update your file anytime it changes via the *fetch latest* link on the [data.world](https://data.world/) dataset page or by triggering the `GET:/sync` endpoint. - [Delete a file](https://developer.data.world/reference/deletefileandsyncsource-1.md): Delete a single file from a dataset. - [Get file description and labels](https://developer.data.world/reference/getfilemetadata-1.md): Get file description and labels - [Update file description and labels](https://developer.data.world/reference/patchfilemetadata-1.md): Update file description and labels. Only elements included in the request will be updated. All omitted elements will remain untouched. Requesting change in a list replaces the entire list. Requesting an element to be null deletes all values on the element. - [Replace file description and labels](https://developer.data.world/reference/putfilemetadata-1.md): Replace file description and labels - [Sync files (via GET)](https://developer.data.world/reference/syncviaget-1.md): Same as `POST:/dataset/{owner}/{id}/sync`. The id parameter can either be a dataset id or project id. - [Sync files](https://developer.data.world/reference/sync-1.md): Sync files within a dataset or project. This method will process the latest data available for files added from URLs or via streams. The id parameter can either be a dataset id or project id. - [Download a file](https://developer.data.world/reference/downloadfile-1.md): Download a file within the dataset as originally uploaded. Prefer `POST:/sql` or `POST:/sparql` for retrieving clean and structured data. - [Upload files](https://developer.data.world/reference/uploadfiles-1.md): "Upload multiple files at once to a dataset. This endpoint expects requests of type `multipart/form-data` and you can include one or more parts named `file`, each containing a different file to be uploaded. For example, assuming that you want to upload two local files named `file1.csv` and `file2.csv` to a hypothetical dataset `https://data.world/awesome-user/awesome-dataset`, this is what the cURL command would look like. ```bash curl \ -H "Authorization: Bearer " \ -F "file=@file1.csv" \ -F "file=@file2.csv" \ https://api.data.world/v0/uploads/awesome-user/awesome-dataset/files ``` Swagger clients may limit this method of upload to one file at a time. Other HTTP clients capable of making multipart/form-data requests can be used to upload multiple files in a single request." - [Upload a file](https://developer.data.world/reference/uploadfile-1.md): Upload one file at a time to a dataset. This endpoint expects requests of type `application/octet-stream`. For example, assuming that you want to upload a local file named `file1.csv` to a hypothetical dataset `https://data.world/awesome-user/awesome-dataset` and choose its name on data.world to be `better-name.csv`, this is what the cURL command would look like. ```bash curl \ -H "Authorization: Bearer " \ -X PUT -H "Content-Type: application/octet-stream" \ --data-binary @file1.csv \ https://api.data.world/v0/uploads/awesome-user/awesome-dataset/files/better-name.csv ``` This method of upload is typically not supported by Swagger clients. Other HTTP clients can be used to supply the contents of the file directly in the body of the request. - [List insights](https://developer.data.world/reference/getinsightsforproject-1.md): List insights associated with a project. - [Create an insight](https://developer.data.world/reference/createinsight-1.md): Create a new insight. - [Delete an insight](https://developer.data.world/reference/deleteinsight-1.md): Delete an insight. - [Retrieve an insight](https://developer.data.world/reference/getinsight-1.md): Retrieve an insight. - [Update an insight](https://developer.data.world/reference/updateinsight-1.md): Update an insight. Note that only elements included in the request will be updated. All omitted elements will remain untouched. - [Replace an insight](https://developer.data.world/reference/replaceinsight-1.md): Replace an insight. - [Retrieve an insight version](https://developer.data.world/reference/getinsightbyversion-1.md): Retrieve an insight version. - [List projects for a specified owner](https://developer.data.world/reference/getprojectsbyowner-1.md): List projects that the currently authenticated user has access to, for the specified owner; when the project is open, or when project is private but has view/edit/manage permissions for the authenticated user - [Create a data project](https://developer.data.world/reference/createproject-1.md): Create a new project. - [Delete a data project](https://developer.data.world/reference/deleteproject-1.md): Delete a project and associated data. This operation cannot be undone, but you may recreate the project using the same id. - [Retrieve a data project](https://developer.data.world/reference/getproject-1.md): Retrieve a project. The definition of the project will be returned, not the associated data. Use `POST:/sql/{owner}/{id}` or `POST:/sparql/{owner}/{id}` to query the data or use dataset APIs to retrieve data from linked datasets. - [Update a data project](https://developer.data.world/reference/patchproject-1.md): Update an existing project. Only elements included in the request will be updated. All omitted elements will remain untouched. Requesting change in a list replaces the entire list. Requesting an element to be null deletes all values on the element. - [Create / Replace a data project](https://developer.data.world/reference/replaceproject-1.md): Create or replace a project with a given id. If a project exists with the same id, this call will reset such project redefining all its attributes. - [Unlink dataset](https://developer.data.world/reference/removelinkeddataset-1.md): Remove a linked dataset from a project. - [Link dataset](https://developer.data.world/reference/addlinkeddataset-1.md): Add a linked dataset to a project. - [Retrieve a data project version](https://developer.data.world/reference/getprojectbyversion-1.md): Retrieve a project version. The definition of the project will be returned. - [Append record(s)](https://developer.data.world/reference/appendrecords-1.md): Append JSON data to a stream associated with a dataset. data.world streams are append-only by default. Alternatively, if a primary key is specified (see: `POST:/streams/{owner}/{id}/{streamId}/schema`), data.world will replace records with the same primary key value. **Streams don't need to be created before you can append data to them**. They will be created on-demand, when the first record is appended or by defining its schema. Multiple records can be appended at once by using JSON-L (`application/json-l`) as the request content type. **IMPORTANT** Data uploaded to a dataset via a stream is not immediatelly processed. Instead, it is processed automatically in accordance with the dataset settings (default: daily) or as a result of calling `POST:/datasets/{owner}/{id}/sync`. Once processed, the contents of a stream will appear as part of the respective dataset as a `.jsonl` file (e.g. `my-stream` will produce a file named `my-stream.jsonl`). - [Delete all records](https://developer.data.world/reference/deleterecords-1.md): Delete all records previously appended to stream. - [Retrieve stream schema](https://developer.data.world/reference/getstreamschema-1.md): Retrieve stream schema. - [Set / Update stream schema](https://developer.data.world/reference/patchstreamschema-1.md): "Set or update a stream's schema. The schema of a stream defines its primary key(s) and sort/sequence field. data.world streams are append-only by default. Alternatively, if a primary key is specified, data.world will replace records with the same primary key value. data.world will sort records by sequence field value and will discard all but the last record appended for each given primary key value. The `updateMethod` parameter specifies how data.world should handle existing records when schema is updated. Currently, the only `updateMethod` supported is `TRUNCATED`. data.world will discard all records when the schema is updated." - [Get connections by owner](https://developer.data.world/reference/getconnectionsbyowner-1.md): Get a list of configured virtual connections by owner. For increased security, connection endpoints require an Enterprise Admin Token. This token can be found under [Advanced Settings](https://data.world/settings/advanced). - [Create a new connection](https://developer.data.world/reference/createconnection-1.md): Create a new virtual connection. For increased security, connection endpoints require an Enterprise Admin Token. This token can be found under [Advanced Settings](https://data.world/settings/advanced). - [Delete a Connection](https://developer.data.world/reference/deleteconnection-1.md): Delete a Connection. For increased security, connection endpoints require an Enterprise Admin Token. This token can be found under [Advanced Settings](https://data.world/settings/advanced). - [Get an individual connection](https://developer.data.world/reference/getconnection-1.md): Get details for an individual virtual connection. For increased security, connection endpoints require an Enterprise Admin Token. This token can be found under [Advanced Settings](https://data.world/settings/advanced). - [Test a connection](https://developer.data.world/reference/testconnection-1.md): Test a virtual connection. For increased security, connection endpoints require an Enterprise Admin Token. This token can be found under [Advanced Settings](https://data.world/settings/advanced). - [Add live tables from a virtual connection](https://developer.data.world/reference/addtables-1.md): Add tables from an established virtual connection. For increased security, endpoints that interact with external connection sources require an Enterprise Admin Token. This token can be found under [Advanced Settings](https://data.world/settings/advanced). To learn more about the virtual connections data.world supports, please visit our [help portal](https://help.data.world/hc/en-us/sections/360009504254-Create-and-manage-virtual-connections). - [Cancel a query](https://developer.data.world/reference/cancel-1.md): Cancel a running query. - [List published queries](https://developer.data.world/reference/getpublisheddatasetqueries.md): List published saved queries associated with a dataset. Query definitions will be returned, not the query results. To retrieve query results use `GET:/queries/{id}/results`. - [Create a saved query in a specified dataset](https://developer.data.world/reference/createsavedquery.md): Create a saved query in a specified dataset. - [Delete a saved query in a specified dataset](https://developer.data.world/reference/deletesavedquery.md): Delete a saved query in a specified dataset. - [Update a saved query in a specified dataset](https://developer.data.world/reference/updatesavedquery.md): Update a saved query in a specified dataset. - [List user saved queries](https://developer.data.world/reference/getusersaveddatasetqueries.md): List user saved queries associated with a dataset. Query definitions will be returned, not the query results. To retrieve query results use `GET:/queries/{id}/results`. - [List published queries](https://developer.data.world/reference/getprojectqueries-1.md): List published saved queries associated with a project. - [Create a saved query](https://developer.data.world/reference/createsavedquery1.md): Create a saved query in a specified project. - [Delete a saved query](https://developer.data.world/reference/deletesavedquery1.md): Delete a saved query in a specified project. - [Update a saved query](https://developer.data.world/reference/updatesavedquery1.md): Update a saved query in a specified project. - [List saved queries](https://developer.data.world/reference/getusersavedprojectqueries.md): List user saved queries associated with a project. - [Retrieve a saved query](https://developer.data.world/reference/getquery-1.md): Retrieve a saved query. Query definitions will be returned, not query results. To retrieve query results use `GET:/queries/{id}/results`. - [Execute a saved query](https://developer.data.world/reference/executequery-1.md): Execute a saved query. SQL results are available in a variety of formats. By default, `application/json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference: * `text/csv` * `application/json` * `application/json-l` * `application/x-ndjson` SPARQL results are available in a variety of formats. By default, `application/sparql-results+json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference: - `application/sparql-results+xml` - `application/sparql-results+json` - `application/rdf+json` - `application/rdf+xml` - `text/csv` - `text/tab-separated-values` - `text/turtle` - [Execute a saved query (with parameters)](https://developer.data.world/reference/executequerywithpost-1.md): Execute a saved query (same as GET:/queries/{id}/results) with the option to specify named query parameters. - [Retrieve a saved query version](https://developer.data.world/reference/getqueryversion-1.md): Retrieve a version of a saved query. Query definitions will be returned, not query results. - [Execute SPARQL query via GET](https://developer.data.world/reference/queryviaget-1.md): Execute a SPARQL query against a dataset or data project. SPARQL results are available in a variety of formats. By default, `application/sparql-results+json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference and the type of the query (SELECT, CONSTRUCT, DESCRIBE, ASK): - `application/sparql-results+xml` - `application/sparql-results+json` - `application/rdf+json` - `application/rdf+xml` - `text/csv` - `text/tab-separated-values` - `text/turtle` New to SPARQL? Check out data.world's [SPARQL tutorial](https://docs.data.world/tutorials/sparql/). - [Execute SPARQL query via POST](https://developer.data.world/reference/querywithjsonrequest-1.md): Execute a SPARQL query against a dataset or data project. SPARQL results are available in a variety of formats. By default, `application/sparql-results+json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference and the type of the query (SELECT, CONSTRUCT, DESCRIBE, ASK): - `application/sparql-results+xml` - `application/sparql-results+json` - `application/rdf+json` - `application/rdf+xml` - `text/csv` - `text/tab-separated-values` - `text/turtle` New to SPARQL? Check out data.world's [SPARQL tutorial](https://docs.data.world/tutorials/sparql/). - [Execute SPARQL query via GET with the default graph](https://developer.data.world/reference/queryviagetwithdefaultgraph.md): Execute a SPARQL query. The query will default to using the :current graph if the query contains no FROM clauses and no default graph URI parameters are specified, in which case it will return a 404 if the :current graph does not exist for the org. SPARQL results are available in a variety of formats. By default, `application/sparql-results+json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference and the type of the query (SELECT, CONSTRUCT, DESCRIBE, ASK): - `application/sparql-results+xml` - `application/sparql-results+json` - `application/rdf+json` - `application/rdf+xml` - `text/csv` - `text/tab-separated-values` - `text/turtle` New to SPARQL? Check out data.world's [SPARQL tutorial](https://docs.data.world/tutorials/sparql/). - [Execute SPARQL query via POST with the default graph](https://developer.data.world/reference/querywithjsonrequestwithdefaultgraph.md): Execute a SPARQL query. The query will default to using the :current graph if the query contains no FROM clauses and no default graph URI parameters are specified, in which case it will return a 404 if the :current graph does not exist for the org. SPARQL results are available in a variety of formats. By default, `application/sparql-results+json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference and the type of the query (SELECT, CONSTRUCT, DESCRIBE, ASK): - `application/sparql-results+xml` - `application/sparql-results+json` - `application/rdf+json` - `application/rdf+xml` - `text/csv` - `text/tab-separated-values` - `text/turtle` New to SPARQL? Check out data.world's [SPARQL tutorial](https://docs.data.world/tutorials/sparql/). - [SQL query (via GET)](https://developer.data.world/reference/sqlget-1.md): Same as `POST:/sql/{owner}/{id}` - [SQL query](https://developer.data.world/reference/sqlpostwithjsonrequest-1.md): Execute a SQL query against a dataset or data project. SQL results are available in a variety of formats. By default, `application/json` will be returned. Set the `Accept` header to one of the following values in accordance with your preference: * `text/csv` * `application/json` * `application/json-l` * `application/x-ndjson` New to SQL? Check out data.world's [SQL manual](https://docs.data.world/tutorials/dwsql/) . - [Describe a SQL query](https://developer.data.world/reference/sqldescribe-1.md): This endpoint describes what columns will be included if the given SQL query is performed against the specified dataset. New to SQL? Check out data.world's [SQL manual](https://docs.data.world/tutorials/dwsql/) . - [Advanced search on resources](https://developer.data.world/reference/searchresources1.md) - [Simple search on resources](https://developer.data.world/reference/simplesearchresources-1.md): Simple search is a light weight API implementation exposing similar search capabilities as our main platform search UI. By default, the search response will return mixed result types including metadata resources, datasets, projects, queries, insights, tables, and comments. A free-text search term is required. Simple search does not support complex keyword or logical operator grammar. Light weight filters for resource owner and resource category are supported. You may optionally specify the includeCommunityResults param to query for resources in the data.world open data community. - [Create an authorization request](https://developer.data.world/reference/createauthrequest-1.md): Create a request asking for access against a dataset. A request can ask the resource admin for permission to access a resource. It may also be an invitation from the resource admin to give others access to a resource. - [Accept an authorization request](https://developer.data.world/reference/acceptrequest.md): Accept an authorization request. This will give the grantee access to the resource. For more details about authorization request, see "Create an authorization request". - [Get authorization requests that can be approved/rejected](https://developer.data.world/reference/getforapprover-1.md): Get a list of authorization requests that can be approved or rejected by the user. For more details about authorization request, see "Create an authorization request". - [Delete an authorization request](https://developer.data.world/reference/deleterequest.md): Delete an authorization request. This will delete the request. The grantee will not receive any access to the resource. For more details about authorization request, see "Create an authorization request". - [Reject an authorization request](https://developer.data.world/reference/rejectrequest.md): Reject an authorization request. This will delete the request. The grantee will not receive any access to the resource. For more details about authorization request, see "Create an authorization request". - [Suggest a Resource Change](https://developer.data.world/reference/suggestrequest.md): This API allows users to submit requests for modifications or contributions to dataset or metadata resources. Users can propose changes or transfers within an organization's collections, specifying details about the resource and type of request through structured parameters. - [Accept a resource request](https://developer.data.world/reference/acceptrequest1.md): Accept a resource request. The defined contribution or transfer will happen. For more details on resource requests, see "Get a resource request". - [Get all resource requests in an organization](https://developer.data.world/reference/getrequests-1.md): Get all resource requests done to resources in an organization. For more details on resource requests, see "Get a resource request". - [Reject a resource request](https://developer.data.world/reference/rejectrequest1.md): Reject a resource request. This deletes the request. For more details on resource requests, see "Get a resource request". - [Delete a resource request](https://developer.data.world/reference/deleterequest1.md): Delete a resource request. For more details on resource requests, see "Get a resource request". - [Get a resource request](https://developer.data.world/reference/getrequest-1.md): Get a resource request. Request can be a contribution on a metadata resource or transfer of a metadata resource into an organization's collections. - [Get active topics](https://developer.data.world/reference/gethottopics.md): This API allows users to access trending topics determined by their level of activity. Users can specify the number of topics to retrieve per request, with a maximum limit of 1000 topics. If the number is not specified, it defaults to 10. - [Get topics for an owner or resource](https://developer.data.world/reference/gettopicsbyresource.md): Retrieve open and discoverable topics associated with a specific owner. If an optional resource is provided in the query parameter, this will retrieve topics for the resource that is owned by the owner. To reference a dataset insight, both `datasetId` and `insightUuid` should be provided. To reference a metadata resource, `iri` should be provided. - [Get a topic](https://developer.data.world/reference/gettopic.md): Access an individual topic using this API by providing the owner's identifier and the unique topic UUID. This API ensures user permissions are validated for visibility and access to the specified topic. - [Create a new topic](https://developer.data.world/reference/createtopic.md): This API allows users to initiate a new topic for discussions and comments. To create a topic, the user must have access to the resource. - [Update an existing topic](https://developer.data.world/reference/updatetopic.md): This API enables users to modify details of a topic they have access to, identified by the owner's ID and the topic's UUID. This PUT request ensures that all changes comply with the required access permissions and topic visibility settings. - [Delete an existing topic](https://developer.data.world/reference/deletetopic.md): This API allows users to remove a topic they have permission to access, specified by the owner's ID and the topic's UUID. This DELETE request ensures the topic is successfully deleted if access criteria are met. - [Get recently updated comments](https://developer.data.world/reference/getrecentcomments.md): This API retrieves recently updated comments that are open and discoverable. Users can filter results by the owner's ID and specify the number of comments to fetch, with a limit of 100 and a default of 5. - [Get comments for a topic](https://developer.data.world/reference/getcommentsbytopic.md): This API allows users to retrieve comments for a specific topic they have access to, identified by the owner's ID and the topic's UUID. Users can control the number of comments returned, with options to sort and paginate results. - [Get a comment](https://developer.data.world/reference/getcomment.md): This API allows users to access a specific comment within a topic, provided they have the necessary access permissions. This GET request requires the owner's ID and the topic's UUID to retrieve the comment details. - [Create a new comment](https://developer.data.world/reference/createcomment.md): This API enables users to add a comment to a specific topic, provided they have access permissions. This POST request requires the owner's ID and the topic's UUID, along with the comment content, to successfully create and store the comment. - [Update an existing comment](https://developer.data.world/reference/updatecomment.md): This API allows users to modify the content of a comment within a topic, provided they have the necessary permissions. By using a PUT request with the owner's ID, topic's UUID, and comment ID, users can update the comment's details effectively. - [Delete an existing comment](https://developer.data.world/reference/deletecomment.md): This API allows users to remove a comment from a topic, provided they have access rights. This DELETE request requires the owner's ID, topic's UUID, and the comment ID to successfully execute the deletion. - [Get organization details.](https://developer.data.world/reference/getorganizationdetails-1.md) - [Authorize a Team to access an organization](https://developer.data.world/reference/authorizeorgaccess.md): Authorize a Team to access an organization - [Gets all service accounts by owner.](https://developer.data.world/reference/getserviceaccounts-1.md) - [Create a new service account.](https://developer.data.world/reference/createserviceaccount-1.md) - [Delete service account](https://developer.data.world/reference/deleteserviceaccount-1.md) - [Update service account](https://developer.data.world/reference/updateserviceaccount-1.md) - [Refresh service account token](https://developer.data.world/reference/refreshserviceaccounttoken-1.md) - [Retrieve user data](https://developer.data.world/reference/getuserdata-1.md): Retrieve user profile information of the currently authenticated user. - [List datasets as contributor](https://developer.data.world/reference/fetchcontributingdatasets-1.md): List datasets that the currently authenticated user has access to because he or she is a contributor. - [List liked (bookmarked) datasets](https://developer.data.world/reference/fetchlikeddatasets-1.md): List datasets that the currently authenticated user liked (bookmarked). - [List datasets as owner](https://developer.data.world/reference/fetchdatasets-1.md): List datasets that the currently authenticated user has access to because he or she is the owner. - [List organization memberships](https://developer.data.world/reference/fetchorganizations-1.md): List organizations that the currently authenticated user is a member of. - [List projects as contributor](https://developer.data.world/reference/fetchcontributingprojects-1.md): List projects that the currently authenticated user has access to because he or she is a contributor. - [List liked (bookmarked) projects](https://developer.data.world/reference/fetchlikedprojects-1.md): List projects that the currently authenticated user liked (bookmarked). - [List projects owned](https://developer.data.world/reference/fetchprojects-1.md): List projects that the currently authenticated user has access to because he or she is the owner. - [Retrieve a user's profile](https://developer.data.world/reference/getaccount-1.md): Retrieve user profile information for the specified account. - [Create or update an agent](https://developer.data.world/reference/createagent.md): This operation allows to create or update an agent with a given agent ID and basic credentials. This API requires the instance admin role permission and is only usable in Private Instances. - [Deactivate specified agent](https://developer.data.world/reference/deactivateagent.md): This operations deactivates existing agent. If the user is already deactivated, this operation does nothing. This API requires the instance admin role permission and is only usable in Private Instances. - [Reactivate specified agent](https://developer.data.world/reference/reactivateagent.md): This operations activates existing agent. If the user is already activated, this operation does nothing. This API requires the instance admin role permission and is only usable in Private Instances. - [Webhooks overview](https://developer.data.world/reference/webhooks-overview.md) - [List subscriptions](https://developer.data.world/reference/getwebhooks-1.md): List webhook subscriptions associated with the currently authenticated user. - [Unsubscribe from dataset](https://developer.data.world/reference/unsubscribefromdataset-1.md): Delete webhook subscription associated with the currently authenticated user and to a given dataset. - [Retrieve dataset subscription](https://developer.data.world/reference/getfordataset-1.md): Retrieve webhook subscription associated with the currently authenticated user and to a given dataset. - [Subscribe to dataset](https://developer.data.world/reference/subscribetodataset-1.md): Create webhook subscription associated with the currently authenticated user and to a given dataset. - [Unsubscribe from data project](https://developer.data.world/reference/unsubscribefromproject-1.md): Delete webhook subscription associated with the currently authenticated user and to a given project. - [Retrieve data project subscription](https://developer.data.world/reference/getforproject-1.md): Retrieve webhook subscription associated with the currently authenticated user and to a given project. - [Subscribe to data project](https://developer.data.world/reference/subscribetoproject-1.md): Create webhook subscription associated with the currently authenticated user and to a given project. - [Unsubscribe from account](https://developer.data.world/reference/unsubscribefromuser-1.md): Delete webhook subscription associated with the currently authenticated user and to a given user account. - [Retrieve account subscription](https://developer.data.world/reference/getforuser-1.md): Retrieve webhook subscription associated with the currently authenticated user and to a given user account. - [Subscribe to account](https://developer.data.world/reference/subscribetouser-1.md): Create webhook subscription associated with the currently authenticated user and to a given user account. - [suggest for an existing analysis](https://developer.data.world/reference/suggestcataloganalysis-1.md): Please refer to the updated IRI-based resource endpoints. - [Gets metadata analysis by owner.](https://developer.data.world/reference/getcataloganalysesbyowner-1.md): Please refer to the updated IRI-based resource endpoints. - [Create a new analysis metadata.](https://developer.data.world/reference/createcataloganalysis-1.md): Please refer to the updated IRI-based resource endpoints. - [Delete an Analysis.](https://developer.data.world/reference/deletecataloganalysis-1.md): Please refer to the updated IRI-based resource endpoints. - [Get an individual metadata analysis](https://developer.data.world/reference/getcataloganalysis-1.md): Please refer to the updated IRI-based resource endpoints. - [Update an existing analysis.](https://developer.data.world/reference/patchcataloganalysis-1.md): Please refer to the updated IRI-based resource endpoints. - [Replace an existing analysis](https://developer.data.world/reference/replacecataloganalysis-1.md): Please refer to the updated IRI-based resource endpoints. - [Gets collections owned by specified owner](https://developer.data.world/reference/getcatalogs-1.md): Please refer to the updated IRI-based resource endpoints. - [Creates a new collection](https://developer.data.world/reference/createcatalog-1.md): Please refer to the updated IRI-based resource endpoints. - [Deletes a collection](https://developer.data.world/reference/deletecatalog-1.md): Please refer to the updated IRI-based resource endpoints. - [Gets a collection by ID](https://developer.data.world/reference/getcatalog-1.md): Please refer to the updated IRI-based resource endpoints. - [Updates a collection](https://developer.data.world/reference/updatecatalog-1.md): Please refer to the updated IRI-based resource endpoints. - [Replaces a collection](https://developer.data.world/reference/replacecatalog-1.md): Please refer to the updated IRI-based resource endpoints. - [suggest for an existing table.](https://developer.data.world/reference/suggestcatalogtable-1.md): Please refer to the updated IRI-based resource endpoints. - [Gets datasources by owner.](https://developer.data.world/reference/getdatabases-1.md): Please refer to the updated IRI-based resource endpoints. - [Get an individual datasource metadata](https://developer.data.world/reference/getdatabase-1.md): Please refer to the updated IRI-based resource endpoints. - [Get tables for a data source](https://developer.data.world/reference/gettables-1.md): Please refer to the updated IRI-based resource endpoints. - [Create a new table metadata.](https://developer.data.world/reference/createcatalogtable-1.md): Please refer to the updated IRI-based resource endpoints. - [Update an existing table identified by IRI.](https://developer.data.world/reference/patchcatalogtablebyiri-1.md): Please refer to the updated IRI-based resource endpoints. - [Delete a table.](https://developer.data.world/reference/deletecatalogtable-1.md): Please refer to the updated IRI-based resource endpoints. - [Get an individual table metadata](https://developer.data.world/reference/gettable-1.md): Please refer to the updated IRI-based resource endpoints. - [Update an existing table.](https://developer.data.world/reference/patchcatalogtable-1.md): Please refer to the updated IRI-based resource endpoints. - [Replace an existing table](https://developer.data.world/reference/replacecatalogtable-1.md): Please refer to the updated IRI-based resource endpoints. - [Get columns for a given table](https://developer.data.world/reference/gettablecolumns-1.md): Please refer to the updated IRI-based resource endpoints. - [Create a Column.](https://developer.data.world/reference/createcatalogcolumn-1.md): Please refer to the updated IRI-based resource endpoints. - [Delete a Column.](https://developer.data.world/reference/deletecatalogcolumn-1.md): Please refer to the updated IRI-based resource endpoints. - [Get an individual column metadata](https://developer.data.world/reference/gettablecolumn-1.md): Please refer to the updated IRI-based resource endpoints. - [Update an existing Column.](https://developer.data.world/reference/patchcatalogcolumn-1.md): Please refer to the updated IRI-based resource endpoints. - [Replace an existing column](https://developer.data.world/reference/replacecatalogcolumn-1.md): Please refer to the updated IRI-based resource endpoints. - [suggest for an existing glossary.](https://developer.data.world/reference/suggestcatalogglossary-1.md): Please refer to the updated IRI-based resource endpoints. - [Gets metadata glossary by owner.](https://developer.data.world/reference/getcatalogglossariesbyowner-1.md): Please refer to the updated IRI-based resource endpoints. - [Create a new glossary metadata.](https://developer.data.world/reference/createcatalogglossary-1.md): Please refer to the updated IRI-based resource endpoints. - [Delete a Glossary.](https://developer.data.world/reference/deletecatalogglossary-1.md): Please refer to the updated IRI-based resource endpoints. - [Get an individual metadata glossary](https://developer.data.world/reference/getcatalogglossary-1.md): Please refer to the updated IRI-based resource endpoints. - [Update an existing glossary.](https://developer.data.world/reference/patchcatalogglossary-1.md): Please refer to the updated IRI-based resource endpoints. - [Replace an existing glossary](https://developer.data.world/reference/replacecatalogglossary-1.md): Please refer to the updated IRI-based resource endpoints. - [Get supported metadata properties by owner](https://developer.data.world/reference/getpropertiesbyowner-1.md): Get supported metadata properties by owner. This endpoint can be used to obtain a reference list of supported custom metadata properties for your organization's catalog. Custom properties for resources in your catalog require an ApiBinding to be configured for use in the public API. For more information about how to correctly configure ApiBindings, please reach out to your data.world support representative or message help@data.world. - [Legacy - Creates a relationship between two catalog resources](https://developer.data.world/reference/createrelationship-1.md): Please refer to the updated IRI-based relationship endpoints. - [Legacy - Deletes a relationship between two catalog resources](https://developer.data.world/reference/deleterelationship-1.md): Please refer to the updated IRI-based relationship endpoints. - [Legacy - Get resources that are related to a resource](https://developer.data.world/reference/getrelationships-1.md): Please refer to the updated IRI-based relationship endpoints. - [Legacy - Get resources that are related to a table](https://developer.data.world/reference/gettablerelationships-1.md): Please refer to the updated IRI-based relationship endpoints. ## Changelog - [Release version 2.328](https://developer.data.world/changelog/release-version-2328.md) - [Release version 2.327](https://developer.data.world/changelog/release-version-2327.md) - [Release version 2.326](https://developer.data.world/changelog/release-version-2326.md) - [Release version 2.325](https://developer.data.world/changelog/release-version-2325.md) - [Release version 2.324](https://developer.data.world/changelog/release-version-2324.md)